tpm_selftest(8)

TPM Management - tpm_selftest

NAME
tpm_selftest - request TPM perform selftest and report

SYNOPSIS
tpm_selftest [OPTION]

DESCRIPTION

tpm_selftest requests that the system's TPM perform a self test (via the TPM_SelfTestFull API) and report the results. The --results option reports the outcome of the last self test operation without requesting that another test be executed. If the TPM fails the self test, it enters failure mode where no commands are accepted. The results are reported in a manufacturer specific format. The TPM's self test is always executed automatically at every boot.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-r, --results
    Report results only.

SEE ALSO

tpm_version(1), tpm_takeownership(8), tpm_setownable(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>